Dates missing on Special:Notifications in many languages
Closed, ResolvedPublic

Quiddity created this task.Aug 31 2015, 9:24 PM
Quiddity updated the task description. (Show Details)
Quiddity raised the priority of this task from to Needs Triage.
Quiddity added a project: Notifications.
Quiddity added a subscriber: Quiddity.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 31 2015, 9:24 PM
Restricted Application added subscribers: Josve05a, Aklapper. · View Herald Transcript
Quiddity renamed this task from Date missing in Serbian Echo special:notifications to Date missing in Serbian Echo special:notifications.Aug 31 2015, 9:24 PM
Quiddity set Security to None.

What language does "sr" end up being? Echo has files for sr-ec.json and sr-el.json, no sr.json.

I think this has to do with wfGetLangObj( 'sr-ec' )->getDateFormatString( 'pretty', 'default' ) returning null.

Quiddity renamed this task from Date missing in Serbian Echo special:notifications to Date missing in Serbian, Croatian and Slovenian Echo special:notifications.Sep 1 2015, 1:09 AM
Legoktm claimed this task.Sep 1 2015, 5:07 PM

In Language::getDateFormatString(), we're not falling back to the date type if pretty is not available when using default mode. It's still unclear to me as to why this only affects the sr variants though.

Change 235268 had a related patch set uploaded (by Legoktm):
Language: Fix 'pretty' fallback in getDateFormatString()

https://gerrit.wikimedia.org/r/235268

This affects significantly more than Serbian, Croatian and Slovenian...confirmed using the same script that all instances are fixed with my patch.

1​cdo: BAD
2​ce: BAD
3​cs: BAD
4​fi: BAD
5​fit: BAD
6​fy: BAD
7​gan: BAD
8​gan-hans: BAD
9​gan-hant: BAD
10​hr: BAD
11​ii: BAD
12​is: BAD
13​ja: BAD
14​km: BAD
15​ko: BAD
16​ko-kp: BAD
17​lzh: BAD
18​my: BAD
19​nan: BAD
20​nn: BAD
21​oc: BAD
22​pnt: BAD
23​sl: BAD
24​sr: BAD
25​sr-ec: BAD
26​sr-el: BAD
27​th: BAD
28​vi: BAD
29​vo: BAD
30​vot: BAD
31​wuu: BAD
32​yue: BAD
33​za: BAD
34​zh: BAD
35​zh-classical: BAD
36​zh-cn: BAD
37​zh-hans: BAD
38​zh-hant: BAD
39​zh-hk: BAD
40​zh-min-nan: BAD
41​zh-mo: BAD
42​zh-my: BAD
43​zh-sg: BAD
44​zh-tw: BAD
45​zh-yue: BAD

Legoktm renamed this task from Date missing in Serbian, Croatian and Slovenian Echo special:notifications to Dates missing on Special:Notifications in many languages.Sep 1 2015, 9:43 PM
Legoktm triaged this task as High priority.

(The script I used to generated the list was P1963).

Change 235268 merged by jenkins-bot:
Language: Fix 'pretty' fallback in getDateFormatString()

https://gerrit.wikimedia.org/r/235268

Checked locally - e.g. http://127.0.0.1:8080/w/index.php?title=Special:Notifications&uselang=sr-el and uselang=sr-el.

Checked in betalabs - general regression testing for Notifications display.

Note: 'User Preferences - Date format' was set to Default which is different from one lang to another . Some of dates formats look not typical: e,g, userlang: sr-el
'20. AVGUST 2015.'

DannyH closed this task as Resolved.Sep 3 2015, 4:34 PM
DannyH added a subscriber: DannyH.